#include <bits/stdc++.h>
using namespace std;
int main() {
    int br;       //proveri posle promenljiuv  
    int visPerice;  
        cin >> br;     
        cin >> visPerice; 
    vector<int> vis(br);  
    for (int i = 0; i < br; i++) {
    cin >> vis[i];  
    }
    for (int i = 0; i < br; i++) {
        if (vis[i] <= visPerice) {  
            cout << i + 1 << endl;  
            return 0;  
        }
    }
    cout << -1 << endl;
    return 0;
}